Prerequisites

This section outlines the software and experience prerequisites for the workshop.

Software Requirements

The exact steps in this workshop have been tested on Ubuntu Linux 20.04. However, the overall procedure should be portable to other modern Linux distributions with few modifications. It is possible to follow many of the steps on Mac OS X, *BSD, or Windows, but some steps will either not be applicable or will require modifications.

Required Experience

You will need basic knowledge of Unix / Linux server administration. Systems monitoring experience helps, but is not required. No prior experience with Prometheus itself is required.